# Uses of Interface
org.opensaml.saml.saml2.core.AuthnContextClassRef

Packages that use AuthnContextClassRef
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthnContextClassRef in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return AuthnContextClassRef
Modifier and Type
Method
Description
`AuthnContextClassRef`
AuthnContext.`getAuthnContextClassRef()`
Gets the URI identifying the Context Class of this Authentication Context.
Methods in org.opensaml.saml.saml2.core that return types with arguments of type AuthnContextClassRef
Modifier and Type
Method
Description
`List<AuthnContextClassRef>`
RequestedAuthnContext.`getAuthnContextClassRefs()`
Gets the AuthnContextClassRefs of this request.
Methods in org.opensaml.saml.saml2.core with parameters of type AuthnContextClassRef
Modifier and Type
Method
Description
`void`
AuthnContext.`setAuthnContextClassRef(AuthnContextClassRef newAuthnContextClassRef)`
Sets the URI identifying the Context Class of this Authentication Context.

## Uses of AuthnContextClassRef in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnContextClassRef
Modifier and Type
Class
Description
`class`
`AuthnContextClassRefImpl`
A concrete implementation of `AuthnContextClassRef`.
Fields in org.opensaml.saml.saml2.core.impl declared as AuthnContextClassRef
Modifier and Type
Field
Description
`private AuthnContextClassRef`
AuthnContextImpl.`authnContextClassRef`
URI of the Context Class.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type AuthnContextClassRef
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthnContextClassRef>`
RequestedAuthnContextImpl.`authnContextClassRefs`
AuthnContextClassRef child elements.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnContextClassRef
Modifier and Type
Method
Description
`AuthnContextClassRef`
AuthnContextClassRefBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnContextClassRef`
AuthnContextClassRefBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AuthnContextClassRef`
AuthnContextImpl.`getAuthnContextClassRef()`
Gets the URI identifying the Context Class of this Authentication Context.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AuthnContextClassRef
Modifier and Type
Method
Description
`List<AuthnContextClassRef>`
RequestedAuthnContextImpl.`getAuthnContextClassRefs()`
Gets the AuthnContextClassRefs of this request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type AuthnContextClassRef
Modifier and Type
Method
Description
`void`
AuthnContextImpl.`setAuthnContextClassRef(AuthnContextClassRef newAuthnContextClassRef)`
Sets the URI identifying the Context Class of this Authentication Context.